Bug 23111 - libpopt not installed
libpopt not installed
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-01 14:29 EST by Andre Blum
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-10 20:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Blum 2001-01-01 14:29:52 EST
Installed Redhat 7.0 twice. Once custom package select, after that 
workstation installation. Both times, popt libraries were not installed. 
This causes several problems with program using this library. For example 
kudzu does not start (reporting missing libpopt.so.0. 
Anaconda asks to enter root passwords and gives possibility to add users. 
Does not report any problems when I do this. After first reboot, passwords 
do not work for these accounts. Trying to change passwords with passwd 
fails because it needs libpopt.so.0. 
Installing popt RPM from CD (1.6.4) makes kudzu work on next reboot. 
passwd still does not work, now giving the error: "passwd: Authentication 
token manipulation error".
This is on a Dell precision 220 workstation with dual pentium 700 
processor running the standard linux kernel (top one selected from lilo).
Comment 1 Michael Fulbright 2001-01-03 13:14:02 EST
Is the popt library selected when you go into and leave the custom package
selection screen?
Comment 2 Andre Blum 2001-01-03 15:19:22 EST
I cannot seem to find the popt package at all:
1) selected custom installation
2) selected everything checkbox from package group selection
3) selected 'select individual packages'
4) pressed next
5) opened all folders on the left then looked for either popt or libpopt in the 
list of rpms given on the right
6) checked RPMS directory on the CD: popt-1.6-4.i386.rpm is there, is 49K and 
is copyable to harddisk
7) downloaded anaconda update disk from advisory, rawrote to disk and tried 
that. No success.

Comment 3 Michael Fulbright 2001-01-26 13:10:52 EST
Assigning to a developer.
Comment 4 Matt Wilson 2001-04-03 18:59:29 EDT
any error messages in /tmp/install.log after the install?
Comment 5 Andre Blum 2001-04-04 05:32:29 EDT
Don't know. Filed this bug four months ago.. don't expect me to reinstall 
redhat now to check this!
Comment 6 Brent Fox 2001-04-10 20:45:32 EDT
Closing due to lack of info.

Note You need to log in before you can comment on or make changes to this bug.